Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83823 - Unable to create partition /swap and installer directive to report bug
Summary: Unable to create partition /swap and installer directive to report bug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 15:08 UTC by David Dunne
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 18:13:32 UTC


Attachments (Terms of Use)

Description David Dunne 2003-02-09 15:08:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
When I tried to create the partitions, /swap was not on the mount point 
dropdown menu.  I typed in "/swap" but the installer overwrote it as "<swap>".  
At the end of the installation process, an error report was displayed and 
advised reporting the bug.  Please see below for details.

Error report;

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 1025008
fsystem: ext2
self: <fstab.GuiFstab instance at 84b9998>
msg: Invalid argument
doFormat: 0
errno: 22
device: sdb6
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Rerun the installation process

    

Additional info:

Comment 1 Jeremy Katz 2003-02-10 18:13:32 UTC
This is fixed in later releases


Note You need to log in before you can comment on or make changes to this bug.